% Descomposición LU
A = [1,2,1; 3,4,5; 5,8,1];
[L, U] = lu(A)
disp('L =')
disp(L)
disp('U =')
disp(U)
disp(L*U)
disp('=============')
% Con matriz de permutación
A = [1,2,1; 3,4,5; 5,8,1];
[L, U, P] = lu(A)
% La P es la matriz de permutación
disp('L =')
disp(L)
disp('U =')
disp(U)
disp('Aquí L*U da como resultado P*A')
disp('Es decir, la matriz A con las columnas reordenadas.')
disp(L*U)
disp(P*A)
